List playlists

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve a paginated collection of curated playlists. By default, the endpoint returns song playlists; set filter[media_type]=sound_effects to return sound-effect playlists.

Use the include parameter to add related resources to the top-level included array. Supported values are songs, songs.artists, songs.audio_files, sound_effects, and playlist_categories. When including songs, use filter[include_alternate_audio_files]=true to include all of each song's audio files instead of only its primary file.

curl --get "https://api.soundstripe.com/v1/playlists" \
  -H "Authorization: Token YOUR_API_KEY" \
  -H "Accept: application/vnd.api+json" \
  --data-urlencode "include=songs,songs.artists,playlist_categories" \
  --data-urlencode "page[size]=10"
Query Params
string

Returns related resources of the playlist. Must be a comma separated string consisting of one or many: songs, songs.audio_files, songs.artists, playlist_categories. For more information on include see the (JSON:API spec)[https://jsonapi.org/]..

boolean

If true, all audio files for each song will be returned in the audio_files relationship, and in the top-level included key. If false, only primary audio files will be returned in the audio_files relationship, and in the top-level included key. By default, this is false, because response size will be larger when including all audio files for each song.

string

Filter playlists by category. Must be a comma separated string of IDs.

string
Defaults to songs

Filters playlists by media type. Can be either songs or sound_effects

int32
Defaults to 10

The number of Playlists to return from 1-100

int32
Defaults to 1

The desired page number, one-indexed

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json